{% macro getChoices(active = null, total = 0, listbank = null) %}
    {% set listBank = listbank ?? [
        {'a_id': 4, 'b_name': 'bca', 'a_number': "123-45-5544", 'a_holderName': "CV FNFNRJ", "type": "bank", "a_icon": 'images/common/bank/b-bri.png'},
        {'a_id': 5, 'b_name': 'mandiri','a_number': "123-45-5544", 'a_holderName': "CV FNFNRJ", "type": "bank", "a_icon": 'images/common/bank/b-bri.png'},
        {'a_id': 6, 'b_name': 'bri', 'a_number': "123-45-5544",'a_holderName': "CV FNFNRJ", "type": "bank", "a_icon": 'images/common/bank/b-bri.png'},
    ] %}

    <div class="div-color p-3 mb-3 text-left"
         style="background-color: var(--light); border: 1px solid  var(--grey-d)">
        {% for i in 0..listBank|length - 1 %}
            {% if(active == null) %}
                <div class="form-check d-flex align-items-center ">
                    <input class="form-check-input" type="radio" name="paymentMethod" id="{{ i }}"
                           value="{{ listBank[i].a_id }}" checked>
                    <label class="form-check-label w-100" for="exampleRadios1">
                        <a class="d-flex justify-content-between align-items-center t-black w-100"
                           style="border-bottom: 1px solid #ddd; padding-bottom: 1em; padding-top: 1em">
                            <p class="mb-0 font-weight-bold flex-grow-1 d-block mr-auto">{{ listBank[i].b_name }}</p>
                            <p class="mb-0 font-weight-bold flex-grow-1 d-block mr-auto">{{ listBank[i].a_number }}</p>
                            <p class="mb-0 font-weight-bold flex-grow-1 d-block mr-auto">{{ listBank[i].a_holderName }}</p>
                            {#                            <img src="{{ asset(listBank[i].image) }}" style="height: 1em">#}
                        </a>
                    </label>
                </div>
            {% elseif (active != null and active ==  listBank[i].a_id ) %}
                <div class="form-check d-flex align-items-center ">
                    <input class="form-check-input" type="radio" name="paymentMethod" id="{{ i }}"
                           value="{{ listBank[i].a_id }}" checked>
                    <label class="form-check-label w-100" for="exampleRadios1">
                        <a class="d-flex justify-content-between align-items-center t-black w-100"
                           style="border-bottom: 1px solid #ddd; padding-bottom: 1em; padding-top: 1em">
                            <p class="mb-0 font-weight-bold flex-grow-1 d-block mr-auto">{{ listBank[i].b_name }}</p>
                            <p class="mb-0 font-weight-bold flex-grow-1 d-block mr-auto">{{ listBank[i].a_number }}</p>
                            <p class="mb-0 font-weight-bold flex-grow-1 d-block mr-auto">{{ listBank[i].a_holderName }}</p>
                            {#                            <img src="{{ asset(listBank[i].image) }}" style="height: 1em">#}
                        </a>
                    </label>
                </div>
                <section class="container-fluid mt-3">
                    <div class="b-primaryLight p-2" style="border-left: 4px solid var(--primaryColor)">
                        <p class="text-black-50 f08 mb-1">Lakukan pembayaran sebelum</p>
                        <p class="text-dark font-weight-bold f10 mb-0">Senin, 22 Juli 2019, 19:22 WIB</p>
                    </div>

                    <p class="f12 text-dark font-weight-bold mt-4">Silahkan Transfer ke</p>

                    <div class="div-color p-3 mb-3 text-left"
                         style="background-color: var(--light); border: 1px solid  var(--grey-d)">

                        <p class="mb-2 f06" style="padding-top: 1em">Nomor Rekening</p>
                        <div class="d-flex justify-content-between" style="border-bottom: 1px solid var(--grey-d)">
                            <p id="copyRekboardTxt" class="f12 font-weight-bold">{{ listBank[i].a_number }}</p>
                            <input id="copyRekboard" class="d-none" value="{{ listBank[i].a_number }}"/>
                            <a id="copyRek" class="t-primary f10 font-weight-bold">SALIN</a>
                        </div>

                        <p class="mb-2 f06" style="padding-top: 1em">Nama Pemilik Rekening</p>
                        <div class="d-flex justify-content-between" style="border-bottom: 1px solid var(--grey-d)">
                            <p class="f12 font-weight-bold">{{ listBank[i].a_holderName }}</p>
                        </div>

                        <p class="mb-2 f06" style="padding-top: 1em">Total Tagihan</p>
                        <div class="d-flex justify-content-between">
                            <p id="copyAmountBoardTxt" class="f12 font-weight-bold mb-0">Rp 700.000</p>
                            <input id="copyAmountBoard" class="d-none" value=""/>
                            <a id="copyAmount" class="t-primary f10 font-weight-bold">SALIN</a>
                        </div>
                    </div>


                    <div class="div-color mt-4"
                         style="border-color: var(--orange-temanbelajar); background-color: var(--orange-temanbelajar-light)">
                        <p class="mb-0 text-center"> Transfer sesuai dengan angka diatas tepat sampai 3 digit terakhir.
                            Perbedaan
                            nominal akan menghambat proses verifikasi. Dan jangan lupa untuk menyimpan bukti transfer
                            pembayaran
                            anda.</p>
                    </div>

                    <p class="text-left f08 mt-4">Jika pembayaran anda tidak terkonfirmasi otomatis selama 2x24 jam,
                        silahkan
                        melakukan konfirmasi pembayaran dengan melampirkan bukti transfer</p>

                    <p class="f12 text-dark mt-4 font-weight-bold">Cara Pembayaran</p>


                    <div class="div-color p-3 mb-3"
                         style="background-color: var(--light); border: 1px solid  var(--grey-d)">
                        <a class="d-block text-dark" data-toggle="collapse" href="#collapseExample" role="button"
                           aria-expanded="false"
                           aria-controls="collapseExample">
                            <div class="d-flex justify-content-between align-items-center">
                                <p class="mb-0 f10 font-weight-bold ">Transfer melalui ATM</p>
                                <i class="mdi mdi-arrow-drop-down"></i>
                            </div>
                        </a>

                        <div class="collapse" id="collapseExample">
                            <p class="mt-3 text-left mb-0 f08">Untuk pembayaran melalui ATM dapat dilakukan dengan cara
                                <br>

                                1. Masukkan kartu ATM BCA ke dalam mesin ATM <br>
                                2. Masukkan PIN <br>
                                3. Pilih transfer <br>
                                4. Pilih transfer atar bank <br>
                                5. Masukkan nominal <span id="copyAmountBoardTxt">Rp. 700.000</span> <br>
                                6. Masukkan nomor rekening tujuan <br>
                                7. Rekening atas nama CV. Teman Digital</p>
                        </div>
                    </div>

                    <div class="div-color p-3 mb-3"
                         style="background-color: var(--light); border: 1px solid  var(--grey-d)">
                        <a class="d-block text-dark" data-toggle="collapse" href="#collapseMobile" role="button"
                           aria-expanded="false"
                           aria-controls="collapseExample">
                            <div class="d-flex justify-content-between align-items-center">
                                <p class="mb-0 f10 font-weight-bold ">Transfer melalui Mobile Banking</p>
                                <i class="mdi mdi-arrow-drop-down"></i>
                            </div>
                        </a>

                        <div class="collapse" id="collapseMobile">
                            <p class="mt-3 text-left mb-0 f08">Untuk pembayaran melalui ATM dapat dilakukan dengan cara
                                <br>

                                1. Masukkan kartu ATM BCA ke dalam mesin ATM <br>
                                2. Masukkan PIN <br>
                                3. Pilih transfer <br>
                                4. Pilih transfer atar bank <br>
                                5. Masukkan nominal <span id="copyAmountBoardTxt">Rp. 700.000</span> <br>
                                6. Masukkan nomor rekening tujuan<br>
                                7. Rekening atas nama CV. Teman Digital</p>
                        </div>
                    </div>

                    <div class="div-color p-3 mb-3"
                         style="background-color: var(--light); border: 1px solid  var(--grey-d)">
                        <a class="d-block text-dark" data-toggle="collapse" href="#collapseInternet" role="button"
                           aria-expanded="false"
                           aria-controls="collapseExample">
                            <div class="d-flex justify-content-between align-items-center">
                                <p class="mb-0 f10 font-weight-bold ">Transfer melalui Internet Banking</p>
                                <i class="mdi mdi-arrow-drop-down"></i>
                            </div>
                        </a>

                        <div class="collapse" id="collapseInternet">
                            <p class="mt-3 text-left mb-0 f08">Untuk pembayaran melalui ATM dapat dilakukan dengan cara
                                <br>

                                1. Masukkan kartu ATM BCA ke dalam mesin ATM <br>
                                2. Masukkan PIN <br>
                                3. Pilih transfer <br>
                                4. Pilih transfer atar bank <br>
                                5. Masukkan nominal <span id="copyAmountBoardTxt">Rp. 700.000</span> <br>
                                6. Masukkan nomor rekening tujuan <br>
                                7. Rekening atas nama CV. Teman Digital</p>
                        </div>
                    </div>

{#                    <a class="d-block bt-primary mt-5">Konfimasi Pembayaran</a>#}
                    <div >
                        <a class="d-block bt-primary mt-5" data-toggle="collapse" href="#confirmExample" role="button"
                           aria-expanded="false"
                           aria-controls="collapseExample">
                            <div class="d-flex justify-content-center align-items-center">
                                <p class="mb-0 text-center f10 font-weight-bold ">Konfimasi Pembayaran</p>
                                <i class="mdi mdi-arrow-drop-down"></i>
                            </div>
                        </a>

                        <div class="collapse" id="confirmExample">
                            <p class="mt-3 text-center mb-0 f08">Silahkan isikan informasi bank yang anda gunakan untuk membayar<br>
                            <form method="POST">
                                <input class="form-control mb-1"  name="accountHolder" placeholder="Nama pemegang kartu"/>
                                <input class="form-control mb-1"  name="accountNumber" placeholder="Nomor Rekening"/>
                                <button type="submit" class="btn-block bt-outline-primary bg-white">Simpan</button>
                            </form>
                        </div>
                    </div>
                    <a class="d-block bt-outline-primary mt-3 mb-5">Metode Pembayaran Lain</a>
                </section>
            {% endif %}


        {% endfor %}
    </div>
{% endmacro %}#}

